CVE-2009-2011

Metadata

CVE-2009-2011
9.3
coresecurity.com, dxstudio.com, securityfocus.com, securityfocus.com, vupen.com, exchange.xforce.ibmcloud.com, exploit-db.com
2009-06-16
2017-09-29 06:09

Description

Worldweaver DX Studio Player 3.0.29.0, 3.0.22.0, 3.0.12.0, and probably other versions before 3.0.29.1, when used as a plug-in for Firefox, does not restrict access to the shell.execute JavaScript API method, which allows remote attackers to execute arbitrary commands via a .dxstudio file that invokes this method.

Related Vulnerabilities